# Class CIM_ClassifierElementUsesFilterList
extends CIM_Dependency

This association relates one or more ClassifierElements with a FilterList that defines the criteria to select packets for the classifier to process. Note that a classifier is always modeled as a ClassifierService that aggregates a set of ClassifierElements. Each of these ClassifierElements is EITHER associated with a single FilterList OR associated to another ClassifierService (via NextServiceAfterClassifier Element to describe hierarchical classification).

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Dependency
|
+--CIM_ClassifierElementUsesFilterList

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true

Description

string

This association relates one or more ClassifierElements with a FilterList that defines the criteria to select packets for the classifier to process. Note that a classifier is always modeled as a ClassifierService that aggregates a set of ClassifierElements. Each of these ClassifierElements is EITHER associated with a single FilterList OR associated to another ClassifierService (via NextServiceAfterClassifier Element to describe hierarchical classification).

UMLPackagePath | string | CIM::Network::QoS
Version | string | 2.7.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Antecedent | CIM_ClassifierElementUsesFilterList | CIM_FilterList
Dependent | CIM_ClassifierElementUsesFilterList | CIM_ClassifierElement

## Class Methods